<template>
  <div class="home">
    <div id="breadcrumb" class="section">
      <div class="container">
        <div class="row">
          <div class="col-md-12">
            <h3 class="breadcrumb-header">Home Page</h3>
            <ul class="breadcrumb-tree">
              <li><a href="#">Home  /</a></li>
            </ul>
          </div>
        </div>
      </div>
    </div>
    <div class="section">
      <div class="container">
        <div class="row">
          <div class="col-md-4 col-xs-6">
            <div class="shop">
              <div class="shop-img">
                <img src="../assets/images/shop01.png" alt="">
              </div>
              <div class="shop-body">
                <h3>Laptop<br>Collection</h3>
                <a href="#" class="cta-btn">Shop now <i class="fa fa-arrow-circle-right"></i></a>
              </div>
            </div>
          </div>
          <div class="col-md-4 col-xs-6">
            <div class="shop">
              <div class="shop-img">
                <img src="../assets/images/shop03.png" alt="">
              </div>
              <div class="shop-body">
                <h3>Accessories<br>Collection</h3>
                <a href="#" class="cta-btn">Shop now <i class="fa fa-arrow-circle-right"></i></a>
              </div>
            </div>
          </div>
          <div class="col-md-4 col-xs-6">
            <div class="shop">
              <div class="shop-img">
                <img src="../assets/images/shop02.png" alt="">
              </div>
              <div class="shop-body">
                <h3>Cameras<br>Collection</h3>
                <a href="#" class="cta-btn">Shop now <i class="fa fa-arrow-circle-right"></i></a>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="section">
      <div class="container">
        <div class="row">
          <div class="col-md-12">
            <div class="section-title">
              <h3 class="title">New Products</h3>
            </div>
          </div>
          <div class="col-md-12">
            <div class="row">
              <div class="products-tabs">
                <div id="tab1" class="tab-pane active">
                  <div class="products-slick" style="display: flex" data-nav="#slick-nav-1">
                    <div v-for="product in products" :key="product.id">
                      <router-link :to="/product/+product.id">
                        <Product :product="product" />
                      </router-link>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div id="hot-deal" class="section">
      <div class="container">
        <div class="row">
          <div class="col-md-12">
            <div class="hot-deal">
              <ul class="hot-deal-countdown">
                <li>
                  <div>
                    <h3>02</h3>
                    <span>Days</span>
                  </div>
                </li>
                <li>
                  <div>
                    <h3>10</h3>
                    <span>Hours</span>
                  </div>
                </li>
                <li>
                  <div>
                    <h3>34</h3>
                    <span>Mins</span>
                  </div>
                </li>
                <li>
                  <div>
                    <h3>60</h3>
                    <span>Secs</span>
                  </div>
                </li>
              </ul>
              <h2 class="text-uppercase">hot deal this week</h2>
              <p>New Collection Up to 50% OFF</p>
              <a class="primary-btn cta-btn" href="#">Shop now</a>
            </div>
          </div>
        </div>
      </div>
    </div>
    <TopSelling :topSellingProducts="topSellingProducts"/>


    <div id="newsletter" class="section">
      <div class="container">
        <div class="row">
          <div class="col-md-12">
            <div class="newsletter">
              <p>Sign Up for the <strong>NEWSLETTER</strong></p>
              <form>
                <input class="input" type="email" placeholder="Enter Your Email">
                <button class="newsletter-btn"><i class="fa fa-envelope"></i> Subscribe</button>
              </form>
              <ul class="newsletter-follow">
                <li>
                  <a href="#"><i class="fa fa-facebook"></i></a>
                </li>
                <li>
                  <a href="#"><i class="fa fa-twitter"></i></a>
                </li>
                <li>
                  <a href="#"><i class="fa fa-instagram"></i></a>
                </li>
                <li>
                  <a href="#"><i class="fa fa-pinterest"></i></a>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>

import Product from "../components/Product";
import TopSelling from "../components/TopSelling";
export default {
  name: 'Home',
  components: {
    TopSelling,
    Product
  },
  data() {
    return {
      products: [
        {
          id: 0,
          title: "Asus TUF GAMING",
          price: 1200,
          img: require("../assets/images/product01.png"),
          sale: true,
        },
        {
          id: 1,
          title: "EarPods 10th generation",
          price: 990,
          img: require("../assets/images/product02.png"),
          sale: true,
        },
        {
          id: 2,
          title: "iPad 3",
          price: 1100,
          img: require("../assets/images/product04.png"),
          sale: true,
        },
        {
          id: 3,
          title: "Mackbook Pro M1",
          price: 1500,
          img: require("../assets/images/product03.png"),
          sale: true,
        },
      ],
      topSellingProducts: [
        {
          id: 0,
          title: "Asus TUF GAMING",
          price: 1200,
          img: require("../assets/images/product06.png"),
          sale: false,
        },
        {
          id: 1,
          title: "EarPods 10th generation",
          price: 990,
          img: require("../assets/images/product05.png"),
          sale: false,
        },
        {
          id: 2,
          title: "Samsung Galaxy 10",
          price: 1100,
          img: require("../assets/images/product07.png"),
          sale: false,
        },
        {
          id: 3,
          title: "Asus Aspire ",
          price: 1500,
          img: require("../assets/images/product08.png"),
          sale: false,
        },
      ],
    }
  }
}
</script>
<style scoped>

</style>